////////////////////////////////////////////////////////////////////////////////
// PushBlock a java game. Try to move the blue spheres to a read shaded area.
//
// Copyright (C) 1999 Anders Reggestad andersr@pvv.ntnu.no
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
////////////////////////////////////////////////////////////////////////////////

public class PushBlockPiece {

  // Piece type constants
  public static final int SPHERE  = 0;
  public static final int DIRT    = 1;
  
  private int m_posX;
  private int m_posY;
  private int m_type;

  public PushBlockPiece(int x,int y,int type){
    m_posX = x;
    m_posY = y;
    m_type = type;
  }

  public int getPosX(){
    return m_posX;
  }

  public int getPosY(){
    return m_posY;
  }

  public int getType(){
    return m_type;
  }

  public void move(int dx,int dy){
    m_posX += dx;
    m_posY += dy;
  }

}
